summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTobias Klausmann <klausman@gentoo.org>2016-11-05 15:35:53 +0100
committerTobias Klausmann <klausman@gentoo.org>2016-11-05 15:36:47 +0100
commit645ba18117492559570ea28e20c78caaa2cf993b (patch)
treef4e4476161e6151803ea5d4e06c1970b57ce9b15 /net-im/prosody
parentdev-perl/Archive-Zip: add ~x86-fbsd KEYWORDS (diff)
downloadgentoo-645ba18117492559570ea28e20c78caaa2cf993b.tar.gz
gentoo-645ba18117492559570ea28e20c78caaa2cf993b.tar.bz2
gentoo-645ba18117492559570ea28e20c78caaa2cf993b.zip
net-im/prosody: Add version 0.9.11 to the tree
Diffstat (limited to 'net-im/prosody')
-rw-r--r--net-im/prosody/Manifest1
-rw-r--r--net-im/prosody/prosody-0.9.11.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index 8f0d7e6e50e..f79e28bbc4d 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1 +1,2 @@
DIST prosody-0.9.10.tar.gz 267380 SHA256 4836eefed4d9bbb632cba24ac5bd8e9bc7c029a79d06084b00ffc70858d1662f SHA512 4453fb596704b6a248a52dedc00cfc77edbee1fad502f1197b04c2148092389a294c152c3ba36203f51831d51ee2b915c15382ac86fcff4f35696ecacf926574 WHIRLPOOL 9312a0bfc856b723d02cd5a92fd4d93e3cf1f4335263d6d5d8bb8c6f44bda7b0e038cc9ad5fbdc5ea0e5623bf11b695a65b02ee4ad5134c713c05e5f4502a96c
+DIST prosody-0.9.11.tar.gz 267832 SHA256 32bff4c323747f768c61b5c9a23790126d33258e96d4e589920b4c3d88b67256 SHA512 9de11e130f88d1f9a830a4cd9ad90c0176d97977c81fd7a4405ce735f12d23eaa0bb0f124ce406102c2d072247133bddf371256d696e806cac9ef4bf0821684f WHIRLPOOL 5970e61130e231d980f0d3c80ce98269b888a62da3e15ab82ed1530eece7c5af3a1726b626f3fb2dc33faeff8776bbaffb5fb2e0cd6f886c181e90cc972b5343
diff --git a/net-im/prosody/prosody-0.9.11.ebuild b/net-im/prosody/prosody-0.9.11.ebuild
new file mode 100644
index 00000000000..962870a6b5e
--- /dev/null
+++ b/net-im/prosody/prosody-0.9.11.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic multilib systemd versionator
+
+MY_PV=$(replace_version_separator 3 '')
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
+HOMEPAGE="http://prosody.im/"
+SRC_URI="http://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl"
+
+DEPEND="net-im/jabber-base
+ !jit? ( >=dev-lang/lua-5.1:0 )
+ jit? ( dev-lang/luajit:2 )
+ >=net-dns/libidn-1.1
+ !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
+RDEPEND="${DEPEND}
+ >=dev-lua/luaexpat-1.3.0
+ dev-lua/luafilesystem
+ ipv6? ( >=dev-lua/luasocket-3 )
+ !ipv6? ( dev-lua/luasocket )
+ libevent? ( >=dev-lua/luaevent-0.4.3 )
+ mysql? ( dev-lua/luadbi[mysql] )
+ postgres? ( dev-lua/luadbi[postgres] )
+ sqlite? ( dev-lua/luadbi[sqlite] )
+ ssl? ( dev-lua/luasec )
+ zlib? ( dev-lua/lua-zlib )"
+
+S=${WORKDIR}/${MY_P}
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.9.2-cfg.lua.patch"
+ sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
+ Makefile || die
+}
+
+src_configure() {
+ # the configure script is handcrafted (and yells at unknown options)
+ # hence do not use 'econf'
+ append-cflags -D_GNU_SOURCE
+ luajit=""
+ if use jit; then
+ luajit="--runwith=luajit"
+ fi
+ ./configure \
+ --ostype=linux $luajit \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/lib64" \
+ --sysconfdir="${JABBER_ETC}" \
+ --datadir="${JABBER_SPOOL}" \
+ --with-lua-include=/usr/include \
+ --with-lua-lib=/usr/$(get_libdir)/lua \
+ --cflags="${CFLAGS} -Wall -fPIC" \
+ --ldflags="${LDFLAGS} -shared" \
+ --c-compiler="$(tc-getCC)" \
+ --linker="$(tc-getCC)" \
+ --require-config || die "configure failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ systemd_dounit "${FILESDIR}/${PN}".service
+ systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
+ newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
+}
+
+src_test() {
+ cd tests || die
+ ./run_tests.sh || die
+}